package com.ruoyi.kaohe.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 考核模板对象 kh_template
 * 
 * @author hs
 * @date 2025-06-17
 */
public class KhTemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String temName;

    /** 考核项id */
    @Excel(name = "考核项id")
    private Long khitemId;

    /** 考核项名称 */
    @Excel(name = "考核项名称")
    private String itemName;

    /** 考核项名称 */
    @Excel(name = "考核项名称")
    private List<KhItems> items;

    public List<KhItems> getItems() {
        return items;
    }

    public void setItems(List<KhItems> items) {
        this.items = items;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setTemName(String temName) 
    {
        this.temName = temName;
    }

    public String getTemName() 
    {
        return temName;
    }

    public void setKhitemId(Long khitemId)
    {
        this.khitemId = khitemId;
    }

    public Long getKhitemId() 
    {
        return khitemId;
    }

    public void setItemName(String itemName) 
    {
        this.itemName = itemName;
    }

    public String getItemName() 
    {
        return itemName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("temName", getTemName())
            .append("khitemId", getKhitemId())
            .append("itemName", getItemName())
            .append("items",getItems())
            .toString();
    }
}
